Package twisted :: Package enterprise :: Module dbcred :: Class IdentityRow |
[frames | no frames]

## Class IdentityRow

    RowObject --+
                |
               IdentityRow

Method Summary
Inherited from RowObject
| ``__setattr__`(self, name, value)` Special setattr to prevent changing of key values.
| ``assignKeyAttr`(self, attrName, value)` Assign to a key attribute.
| ``createDefaultAttributes`(self)` Populate instance with default attributes.
| ``findAttribute`(self, attrName)` Find an attribute by caseless name.
| ``getKeyTuple`(self)`
| ``setDirty`(self, flag)` Use this to set the 'dirty' flag.

Class Variable Summary
`list` | `rowColumns` = `[('identity_name', 'varchar'), ('password',...`
`list` | `rowKeyColumns` = `[('identity_name', 'varchar')]`
`str` | `rowTableName` = `'twisted_identities'`
Inherited from RowObject
`int` | `dirty` = 0
`int` | `populated` = 0

Class Variable Details

    ### rowColumns Type: `list` Value:
        [('identity_name', 'varchar'), ('password', 'varchar')]

    ### rowKeyColumns Type: `list` Value:
        [('identity_name', 'varchar')]

    ### rowTableName Type: `str` Value:
        'twisted_identities'

Generated by Epydoc 2.0 on Sat Oct 25 00:54:53 2003 | http://epydoc.sf.net